var sdk = window["wk_SDK"] || {};
var fc = {};

fc.subheight = 0;
fc.width = $(window).width();
fc.height = $(window).height();
fc.ztype = '';
fc.listStatus = {
    vote_game : true,
    new_game : true,
    gift : true,
    activity:true,
    server:true
};
fc.listPage = {
    vote_game : 1,
    new_game : 1,
    gift : 1,
    activity:1,
    server:1
};
fc.init = (function() {
    if ($(window).width() > 750) {
        document.getElementById("scroll").onscroll = function () {
            fc.subheight = 0;
            var scrollTop = document.getElementById("scroll").scrollTop;
            if (scrollTop + $(".wrap").height() >= fc.subheight) {
                fc.subheight += $("#scroll>div").height()
            }
            pageScroll(scrollTop, $(".wrap").height(), fc.subheight)
        }
    } else {
        window.onscroll = function () {
            var scrollTop = document.documentElement.scrollTop || window.pageYOffset || document.body.scrollTop;
            pageScroll(scrollTop, fc.height, $(document).height())
        }
    }

    function pageScroll(scrollTop, boxHeight, maxScrollHeight) {
        if (scrollTop + boxHeight >= maxScrollHeight - 50) {
            switch (fc.ztype) {
                case "vote_game":
                    fc.loadVoteGameList();
                    break;
                case "new_game":
                    fc.loadNewGameList();
                    break;
                case "gift":
                    fc.loadGiftList();
                    break;
                case "activity":
                    fc.loadActivityList();
                    break;
                case "server":
                    fc.loadServerList();
                    break;
                default:
                    break;
            }
        }
    }
});


function _alert(msg, pos, duration) {
    if (!duration) {
        duration = 500;
    }
    api.toast({
        msg: msg,
        duration: duration,
        location: pos
    });
}
fc.loadVoteGameList = (function() {
    if(fc.listStatus.vote_game){
        fc.listStatus.vote_game = false;
        $.ajax({
            type: "get",
            url: "/api/voteGame",
            data: {
                page: ++fc.listPage.vote_game
            },
            dataType: "json",
            success: function (json) {
                var u_html = '';
                var data =json.data;
                if (json.code == 200) {
                    for (var i = 0; i < data.length; i++) {
                        u_html += '<div class="hot-item">'
                            + '<a href="/info/'+data[i]['id']+'">'
                            + '<img src="'+data[i]['logo']+'">'
                            + '<div class="hot-du">'
                            + '<span>'+data[i]['name']+'</span>'
                            + '<i>温度：</i>'
                            + '<i>'+data[i]['vote']+'℃</i>'
                            + '</div>'
                            + '</a>'
                            + '<a class="hot-start" href="/game/'+data[i]['id']+'">开始</a>'
                            //+ '<div class="hot-vote" >下载</div>'
                            + '</div>'
                    }
                    $('#hot-items').append(u_html);
                    if (data.length < 10) {
                        fc.listStatus.vote_game = false;
                    }else{
                        fc.listStatus.vote_game = true;
                    }
                }
            }
        });
    }
});

fc.loadNewGameList = (function() {
    if(fc.listStatus.new_game){
        fc.listStatus.new_game = false;
        $.ajax({
            type: "get",
            url: "/api/newGame",
            data: {
                page: ++fc.listPage.new_game
            },
            dataType: "json",
            success: function (json) {
                var u_html = '';
                var data =json.data;
                if (json.code == 200) {
                    for (var i = 0; i < data.length; i++) {
                        var gift = '';
                        if(data[i].gift == 1){
                            gift = '<i></i>';
                        }
                        u_html += '<a class="newmore-new" onclick="window.location.href=\'/info/'+data[i].id+'\'">'
                            +'<img src="'+data[i].logo+'">'
                            +'<div>'
                            +'<div>'
                            +'<span>'+data[i].name+'</span>'
                            +gift
                            +'</div>'
                            +'<i>'+data[i].vote+'人在玩</i>'
                            +'<i>'+data[i].title+'</i>'
                            +'</div>'
                            +'<a class="newmore-new-begin" onclick="window.location.href=\'/game/'+data[i].id+'\'">开始</a>'
                            //+'<div class="newmore-new-download">下载</div>'
                            +'</a>'
                    }
                    $('.newmore-news').append(u_html);
                    if (data.length < 10) {
                        fc.listStatus.new_game = false;
                    }else{
                        fc.listStatus.new_game = true;
                    }
                }
            }
        });
    }
});

fc.loadGiftList = (function() {
    if(fc.listStatus.gift){
        fc.listStatus.gift = false;
        $.ajax({
            type: "get",
            url: "/api/gift",
            data: {
                page: ++fc.listPage.gift
            },
            dataType: "json",
            success: function (json) {
                var u_html = '';
                var data =json.data;
                if (json.code == 200) {
                    for (var i = 0; i < data.length; i++) {
                        var gift_html = '';
                        if(data[i]['gift'][0]){
                            gift_html += '<div class="game-for3-gift-gift">'
                                +'<div>'
                                +'<span>'+data[i]['gift'][0]['title']+'</span>'
                                +'<i>'+data[i]['gift'][0]['content']+'</i>'
                                +'<p>'+data[i]['gift'][0]['operate']+'</p>'
                                +'</div>'
                                +'<div onclick="ling('+data[i]['gift'][0]['id']+')">领取</div>'
                                +'</div>';
                        }
                        if(data[i]['gift'].length > 1){
                            gift_html += ' <div class="game-for3-gift-gift-div">';
                            for (var j = 0; j < data[i]['gift'].length; j++) {
                                if(j > 0){
                                    gift_html += ' <div class="game-for3-gift-gift">'
                                    +'<div>'
                                    +'<span>'+data[i]['gift'][j]['title']+'</span>'
                                    +'<i>'+data[i]['gift'][j]['content']+'</i>'
                                    +'<p>'+data[i]['gift'][j]['operate']+'</p>'
                                    +'</div>'
                                    +'<div onclick="ling('+data[i]['gift'][0]['id']+')">领取</div>'
                                    +'</div>';

                                }
                            }
                            gift_html += '</div>';
                            gift_html += '<div class="game-for3-gift-more" onclick="showGiftMore(this)">查看更多礼包（'+data[i]['gift'].length+'）</div>';

                        }
                        u_html += '<div class="game-for3-gift-item">'
                            +'<div class="game-for3-gift-game">'
                            +'<a href="/info/'+data[i]['game']['id']+'">'
                            +'<img src="'+data[i]['game']['logo']+'">'
                            +'<span>'+data[i]['game']['name']+'</span>'
                            +'<a class="play_btn" href="/game/'+data[i]['game']['id']+'">开始</a>'
                            +'</a>'
                            +'</div>'
                            +gift_html
                            +'</div>';
                    }
                    $('.game-for3-gift').append(u_html);
                    if (data.length < 10) {
                        fc.listStatus.gift = false;
                    }else{
                        fc.listStatus.gift = true;
                    }
                }
            }
        });
    }
});

fc.loadActivityList = (function() {
    if(fc.listStatus.activity){
        fc.listStatus.activity = false;
        $.ajax({
            type: "get",
            url: "/api/activity",
            data: {
                page: ++fc.listPage.activity
            },
            dataType: "json",
            success: function (json) {
                var u_html = '';
                var data =json.data;
                if (json.code == 200) {
                    for (var i = 0; i < data.length; i++) {
                        u_html += '<div class="game-for3-gift-ac-item">'
                            +'<a href="/activity/'+data[i]['id']+'">'
                            +'<img src="'+data[i]['pic']+'">'
                            +'<span>'+data[i]['title']+'</span>'
                            +'<i>'+data[i]['start_time'].substring(0,16)+' ~ '+data[i]['end_time'].substring(0,16)+'</i>'
                            +'</a>'
                            +'<line></line>'
                            +'</div>'
                    }
                    $('.game-for3-ac').append(u_html);
                    if (data.length < 10) {
                        fc.listStatus.activity = false;
                    }else{
                        fc.listStatus.activity = true;
                    }
                }
            }
        });
    }
});

fc.loadServerList = (function() {
    if(fc.listStatus.server){
        fc.listStatus.server = false;
        $.ajax({
            type: "get",
            url: "/api/server",
            data: {
                page: ++fc.listPage.server
            },
            dataType: "json",
            success: function (json) {
                var u_html = '';
                var data =json.data;
                if (json.code == 200) {
                    for (var i = 0; i < data.length; i++) {
                        u_html += '<div class="game-for3-gift-fu-item">'
                            +'<img src="'+data[i]['game']['logo']+'">'
                            +'<div class="game-for3-gift-fu-item-game">'
                            +'<span>'+data[i]['game']['name']+'</span>'
                            +'<i>'+data[i]['title']+'</i>'
                            +'</div>'
                            +'<div class="game-for3-gift-fu-item-play">'
                            +'<a href="#">进入</a>'
                            +'<i>'+data[i]['start_date'].substring(0,16)+'</i>'
                            +'</div>'
                            +'</div>';
                    }
                    $('.game-for3-gift-fu').append(u_html);
                    if (data.length < 10) {
                        fc.listStatus.server = false;
                    }else{
                        fc.listStatus.server = true;
                    }
                }
            }
        });
    }
});

/*搜索游戏*/
function searchGame() {
    var value = $('#secrch_key').val();
    openWin("search",{keywords:value});
}
/*游戏礼包活动切换*/
function gameFor3Change(obj){
    for (var i = 0; i < obj.parentNode.children.length;i++) {
        if (obj.parentNode.children[i].className.indexOf(' game-for3-top-active') > 0) {
            obj.parentNode.children[i].className = obj.parentNode.children[i].className.replace(' game-for3-top-active', '');
        }
    }
    if (obj.className.indexOf('game-for3-top-active') > 0) {} else {
        obj.className += ' game-for3-top-active';
    }
    for (var i = 1;i <= 3; i++) {
        if (i == obj.getAttribute('show')) {
            document.getElementsByClassName('show-' + i)[0].style.display = 'block';
        } else {
            document.getElementsByClassName('show-' + i)[0].style.display = 'none';
        }
    }
}

/*点击蒙层隐藏弹窗*/
function backAll (obj) {
    document.getElementsByClassName('back-all')[0].style.display = 'none';
}
/*点击查看更多礼包*/
function showBack(obj) {
    document.getElementsByClassName('back-all')[0].style.display = 'block';
}
/*新游更多游戏*/
function new2more (obj) {
    for (var i = 0; i < obj.parentNode.children.length;i++) {
        if (obj.parentNode.children[i].className.indexOf(' back-blue') > 0) {
            obj.parentNode.children[i].className = obj.parentNode.children[i].className.replace(' back-blue', '');
        }
    }
    if (obj.className.indexOf('back-blue') > 0) {} else {
        obj.className += ' back-blue';
    }
    for (var i = 1;i <= 3; i++) {
        if (i == obj.getAttribute('show')) {
            document.getElementsByClassName('show-' + i)[0].style.display = 'block';
        } else {
            document.getElementsByClassName('show-' + i)[0].style.display = 'none';
        }
    }
}
function showGiftMore (obj) {
    $(obj).hide();
    $(obj).parent().find('.game-for3-gift-gift-div').show();
}
function openWinIndex() {
    api.openWin({
        name: 'index',
        url: 'index.html',
        bounces: false,
        slidBackEnabled: false,
        scrollEnabled: false
    });
}

function openWin(name, data, s=0) {
    var slidBackEnabled = name == 'login' ? false : true;
    var delay = 300;
    if (api.systemType != 'ios') {
        delay = 300;
    }
    if(s == 1){
        api.openWin({
            name: '' + name + '',
            url: name,
            bounces: false,
            delay: delay,
            slidBackEnabled: slidBackEnabled,
            customRefreshHeader: 'UIPullRefresh',
            vScrollBarEnabled: false,
            pageParam: {
                test: 1,
                data: data
            }
        });
    }else{
        api.openWin({
            name: '' + name + '',
            url: name + '.html',
            bounces: false,
            delay: delay,
            slidBackEnabled: slidBackEnabled,
            customRefreshHeader: 'UIPullRefresh',
            vScrollBarEnabled: false,
            pageParam: {
                test: 1,
                data: data
            }
        });
    }
}
